Bug 569788 - Update to PHP 5.2.13
Summary: Update to PHP 5.2.13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 570374 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 12:30 UTC by Tim Jackson
Modified: 2010-03-30 02:27 UTC (History)
4 users (show)

Fixed In Version: maniadrive-1.2-18.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:27:12 UTC


Attachments (Terms of Use)

Description Tim Jackson 2010-03-02 12:30:25 UTC
http://www.php.net/releases/5_2_13.php :

The PHP development team would like to announce the immediate availability of PHP 5.2.13. This release focuses on improving the stability of the PHP 5.2.x branch with over 40 bug fixes, some of which are security related. All users of PHP 5.2 are encouraged to upgrade to this release.

Security Enhancements and Fixes in PHP 5.2.13:

    * Fixed safe_mode validation inside tempnam() when the directory path does not end with a /). (Martin Jansen)
    * Fixed a possible open_basedir/safe_mode bypass in the session extension identified by Grzegorz Stachowiak. (Ilia)
    * Improved LCG entropy. (Rasmus, Samy Kamkar)

Key enhancements in PHP 5.2.13 include:

    * Fixed bug #50940 Custom content-length set incorrectly in Apache sapis. (Brian France, Rasmus)
    * Fixed bug #50847 (strip_tags() removes all tags greater then 1023 bytes long). (Ilia)
    * Fixed bug #50661 (DOMDocument::loadXML does not allow UTF-16). (Rob)
    * Fixed bug #50632 (filter_input() does not return default value if the variable does not exist). (Ilia)
    * Fixed bug #50540 (Crash while running ldap_next_reference test cases). (Sriram)
    * Fixed bug #49851 (http wrapper breaks on 1024 char long headers). (Ilia)
    * Over 30 other bug fixes.

Comment 1 Remi Collet 2010-03-04 05:41:23 UTC
*** Bug 570374 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2010-03-06 13:58:25 UTC
php-5.3.2-1.fc13,maniadrive-1.2-21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-5.3.2-1.fc13,maniadrive-1.2-21.fc13

Comment 3 Fedora Update System 2010-03-06 14:04:11 UTC
php-5.2.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-5.2.13-1.fc11

Comment 4 David 2010-03-10 00:18:05 UTC
Any update on this, its been stuck in admin.fedora for days now and still has not moved :(

Comment 5 Remi Collet 2010-03-10 05:48:01 UTC
For days ?? Only 3..

And no karma (no feedback about this update)
You should install it from updates-testing, test it, and add your comment to the update sheet (link above)

Comment 6 Fedora Update System 2010-03-11 07:13:25 UTC
maniadrive-1.2-18.fc11, php-5.2.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maniadrive php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/maniadrive-1.2-18.fc11,php-5.2.13-1.fc11

Comment 7 Fedora Update System 2010-03-30 02:27:06 UTC
maniadrive-1.2-18.fc11, php-5.2.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.